gov.ornl.mercury3.commands

## Class Retrieval

- java.lang.Object
- - gov.ornl.mercury3.commands.Retrieval

- All Implemented Interfaces:
    Serializable

      public class Retrieval
      extends Object
      implements Serializable

  ornldaac3
  Author:
    zzr @Modified by: Ranjeet Devarakonda
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Retrieval()`
    `Retrieval(String sid)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getdateTime()`
    `String` | `getElementSet()`
    `String` | `getFileID()`
    `String` | `getIndexName()`
    `String` | `getInstanceName()`
    `int` | `getRecsOnPage()`
    `ResultsetBean` | `getResultsetBean()`
    `String` | `getsessionId()`
    `String` | `getsource()`
    `int` | `getStartRecNum()`
    `int` | `getTransID()`
    `void` | `setdateTime(String dateTime)`
    `void` | `setElementSet(String elementSet)`
    `void` | `setFileID(String fileID)`
    `void` | `setIndexName(String indexName)`
    `void` | `setInstanceName(String instanceName)`
    `void` | `setRecsOnPage(int recordsOnPage)`
    `void` | `setsessionId(ResultsetBean resultsetbean)`
    `void` | `setsessionId(String sessionId)`
    `void` | `setsource(String source)`
    `void` | `setStartRecNum(int startRecordNum)`
    `void` | `setTransID(int transactionID)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Retrieval

          public Retrieval()

    - #### Retrieval

          public Retrieval(String sid)

  - ### Method Detail

    - #### getdateTime

          public String getdateTime()

      Parameters:
        `String` - dateTime

    - #### setdateTime

          public void setdateTime(String dateTime)

    - #### getsource

          public String getsource()

      Returns:

    - #### setsource

          public void setsource(String source)

    - #### getsessionId

          public String getsessionId()

      Parameters:
        `String` - sessionID

    - #### setsessionId

          public void setsessionId(String sessionId)

    - #### getTransID

          public int getTransID()

      Returns:
        int user transactionID

    - #### setTransID

          public void setTransID(int transactionID)

      Parameters:
        `int` - transactionID

    - #### getInstanceName

          public String getInstanceName()

      Returns:
        String instanceName.

    - #### setInstanceName

          public void setInstanceName(String instanceName)

      Parameters:
        `String` - instanceName

    - #### getIndexName

          public String getIndexName()

      Returns:
        String indexName.

    - #### setIndexName

          public void setIndexName(String indexName)

      Parameters:
        `String` - indexName

    - #### getElementSet

          public String getElementSet()

      Returns:
        String elementSet.

    - #### setElementSet

          public void setElementSet(String elementSet)

      Parameters:
        `String` - indexName

    - #### getStartRecNum

          public int getStartRecNum()

      Returns:
        int startRecordNum

    - #### setStartRecNum

          public void setStartRecNum(int startRecordNum)

      Parameters:
        `int` - startRecordNum

    - #### getRecsOnPage

          public int getRecsOnPage()

      Returns:
        int recordsOnPage

    - #### setRecsOnPage

          public void setRecsOnPage(int recordsOnPage)

      Parameters:
        `int` - recordsOnPage

    - #### getFileID

          public String getFileID()

      Returns:
        String fileID

    - #### setFileID

          public void setFileID(String fileID)

      Parameters:
        `String` - fileID

    - #### getResultsetBean

          public ResultsetBean getResultsetBean()

    - #### setsessionId

          public void setsessionId(ResultsetBean resultsetbean)

Copyright © 2016. All rights reserved.